#ifndef MSP_NET_STREAMSERVERSOCKET_H_
#define MSP_NET_STREAMSERVERSOCKET_H_

#include "serversocket.h"
#include "streamsocket.h"

namespace Msp {
namespace Net {

class StreamServerSocket: public ServerSocket
{
private:
	bool listening;

public:
	StreamServerSocket(Family, int = 0);

	virtual void listen(const SockAddr &, unsigned = 4);
	virtual StreamSocket *accept();
};

} // namespace Net
} // namespace Msp

#endif
